biterp

List customer subscription billing cycles

GET
/customer-subscriptions/{id}/billing-cycles
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/customer-subscriptions/{id}/billing-cycles"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",
      "sequence": 0,
      "period_start": "2019-08-24",
      "period_end": "2019-08-24",
      "status": "string",
      "amount": "string",
      "sales_order_id": "5e95a238-d0d8-4280-92bc-08d83c9c12a6",
      "receivable_id": "c5fdbd77-089d-4f8e-bf49-b02b6e7fc04a",
      "external_invoice_id": "string",
      "external_idempotency_key": "string",
      "external_event_id": "string",
      "billed_at": "2019-08-24T14:15:22Z",
      "error_detail": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "status_code": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}